using UnityEngine;
using System.Collections;

public class CheckPoint : MonoBehaviour {
	
	public int checkPointNumber;
	public Transform spawnPoint;	
	public Transform player;

	void Start () {

		if (checkPointNumber == 0) {
			CheckPointManager.Instance.CheckPointReached(Application.loadedLevel, checkPointNumber);
		}
		
		if (checkPointNumber == CheckPointManager.Instance.MaxCheckPointReached) {
			player.position = spawnPoint.position;
			Quaternion rotation = player.rotation;
			rotation.y = spawnPoint.rotation.y;
			player.rotation = rotation;
		}
	}
	
	void OnTriggerEnter2D(Collider2D other) {
		
		if (checkPointNumber == 0) {
			return;
		}
		
		if (other.tag == "Player") {
			CheckPointManager.Instance.CheckPointReached(Application.loadedLevel, checkPointNumber);
		}
	}
}
	
