﻿using UnityEngine;
using System.Collections;

[ExecuteInEditMode]

public class Snap : MonoBehaviour {

	public bool snadPosition = true;
	public Vector3 positionSnap = new Vector3(0.5f, 0.5f, 0.5f);

	public bool snapScale = false;
	public Vector3 scaleSnap = new Vector3(0.5f, 0.5f, 0.5f);

#if UNITY_EDITOR
	void Update () {

		if (Application.isPlaying == false) {

			if (snadPosition) {
				Vector3 position = transform.position;
				position.x = Mathf.Round(position.x / positionSnap.x) * positionSnap.x;
				position.y = Mathf.Round(position.y / positionSnap.y) * positionSnap.y;
				position.z = Mathf.Round(position.z / positionSnap.z) * positionSnap.z;
				transform.position = position;
			}

			if (snapScale) {
				Vector3 scale = transform.localScale;
				scale.x = Mathf.Round(scale.x / scaleSnap.x) * scaleSnap.x;
				scale.y = Mathf.Round(scale.y / scaleSnap.y) * scaleSnap.y;
				scale.z = Mathf.Round(scale.z / scaleSnap.z) * scaleSnap.z;
				transform.localScale = scale;
			}
		}
	}
#endif
}
