﻿using UnityEngine;
using System.Collections;

public class Background : MonoBehaviour {

	public Camera bgCamera;
		
	private Transform thisTransform;

	void Awake() {
		thisTransform = transform;
	}
	
	void LateUpdate() {

		float height = bgCamera.orthographicSize * 2.0f;
		float width = height * bgCamera.aspect;
		thisTransform.localScale = new Vector3(width, height, 1.0f);
	}
}
